Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.background.model
Interface VTBackgroundStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTBackgroundStylePropertyImpl

    public interface VTBackgroundStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

Since:
  1.6

  The following features are supported:

  - `Color`
See Also:
  `VTBackgroundPackage.getBackgroundStyleProperty()`

Method Summary
`String` | `getColor()` Returns the value of the 'Color' attribute.
`void` | `setColor(String value)` Sets the value of the ' `Color`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColor

    String getColor()

  Returns the value of the 'Color' attribute.

  If the meaning of the 'Color' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Color' attribute.
  See Also:
    `setColor(String)`, `VTBackgroundPackage.getBackgroundStyleProperty_Color()`

### setColor

    void setColor(String value)

  Sets the value of the ' `Color`' attribute.

  Parameters:
    `value` - the new value of the 'Color' attribute.
  See Also:
    `getColor()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.